Subject: Re: [PATCH net v4 2/2] phy: mscc: Fix PTP for VSC8574 and VSC8572

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Oct 2025 16:53:46 -0700

On Fri, 17 Oct 2025 08:48:19 +0200 Horatiu Vultur wrote:
> For VSC8574 and VSC8572, the PTP initialization is incomplete. It is
> missing the first part but it makes the second part. Meaning that the
> ptp_clock_register() is never called.
> 
> There is no crash without the first part when enabling PTP but this is
> unexpected because some PHys have PTP functionality exposed by the
> driver and some don't even though they share the same PTP clock PTP.

I'm tempted to queue this to net-next, sounds like a "never worked 
in an obvious way" case.  I'd appreciate a second opinion.. Andrew?